Modul 5 · 5.2
Exportera kalender och kontakter från Google och Microsoft
Modul 5: Kalender och kontakter · Lästid: 12 minuter
Lärandemål: Efter den här lektionen kan du göra en fullständig och användbar export av kalendrar och kontakter från Google och Microsoft, läsa en ICS- och vCard-fil, och du vet vad som inte alls eller inte riktigt följer med vid export.
Nyckelbegrepp: iCalendar (ICS), VCALENDAR, VEVENT, UID, DTSTART, RRULE, EXDATE, VTIMEZONE och TZID, ORGANIZER och ATTENDEE, VALARM, vCard (VCF) 3.0 och 4.0, csv, Google Takeout, migreringsverktyg
Två filformat som nästan alla känner till
Kalendrar och kontakter flyttar du med två öppna format:
- iCalendar, filer med filändelsen
.ics(RFC 5545), för kalendrar och uppgifter. - vCard, filer med filändelsen
.vcf, för kontaktpersoner. Det finns två versioner du kan stöta på: 3.0 (RFC 2426) och 4.0 (RFC 6350).
Det är vanliga textfiler. Du kan öppna dem i en texteditor, och det är precis vad du ska göra i den här lektionen. Den som vet vad som står i filen ser också vad som saknas.
Det finns ofta en enklare väg än att exportera: många nya tjänster har ett migreringsverktyg som med ditt medgivande hämtar dina kalendrar och kontakter direkt från Google eller Microsoft. Det går snabbare och med färre fel. Ändå är en egen export klok: som kontroll (hur många möten och kontakter hade jag?), som backup innan du säger upp den gamla tjänsten, och som utväg om migreringsverktyget inte är tillåtet enligt din administratör.
Så ser en kalenderfil ut
En export av kalendern för Bakkerij De Korrel (Gryn) börjar så här:
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Google Inc//Google Calendar 70.9054//EN
BEGIN:VTIMEZONE
TZID:Europe/Amsterdam
...
END:VTIMEZONE
BEGIN:VEVENT
UID:3f1a9c2e7b@google.com
DTSTART;TZID=Europe/Amsterdam:20261110T060000
DTEND;TZID=Europe/Amsterdam:20261110T070000
RRULE:FREQ=WEEKLY;BYDAY=TU
EXDATE;TZID=Europe/Amsterdam:20261229T060000
SUMMARY:Levering meel
ORGANIZER:mailto:anne@example.com
ATTENDEE;CN=Groothandel:mailto:verkoop@example.net
BEGIN:VALARM
TRIGGER:-PT30M
ACTION:DISPLAY
END:VALARM
END:VEVENT
END:VCALENDARVad du ser:
| Rad | Betydelse | Var det kan gå fel |
|---|---|---|
BEGIN:VCALENDAR och VERSION:2.0 | detta är en iCalendar-fil | saknas den vägrar importen |
BEGIN:VEVENT ... END:VEVENT | ett möte | en saknad END gör resten oläslig |
UID | mötets fasta kännetecken | utan UID kan servern inte känna igen dubbletter |
DTSTART;TZID=... | starttid i en tidszon | se tidszoner nedan |
RRULE | upprepningsregel: varje tisdag | en ogiltig regel ger ett enstaka möte istället för en serie |
EXDATE | undantag: just denna tisdag inte | |
ORGANIZER, ATTENDEE | vem bjöd in och vem är inbjuden | se inbjudningar nedan |
VALARM | påminnelse, 30 minuter i förväg | inte alla tjänster tar över påminnelser |
Tidszoner
En tid med TZID=Europe/Amsterdam betyder: klockan 6 på morgonen i Amsterdam, även efter övergången till sommartid. Filen bör därför innehålla ett block VTIMEZONE som beskriver den tidszonen. Exporter från Outlook använder ofta Windows-namn som W. Europe Standard Time. Det går bra så länge VTIMEZONE-blocket finns med. Saknas det gissar den nya tjänsten, och då ser du att möten har flyttats en timme. En tid som slutar på Z (20261110T050000Z) är i UTC och alltid entydig. En tid utan tidszon och utan Z kallas en "flytande" tid: den gäller i tidszonen för den som tittar på den.
Heldagsmöten anges som datum utan tid: DTSTART;VALUE=DATE:20261224.
Inbjudningar
Ett möte som du organiserade står med dig som ORGANIZER i filen. Efter importen finns det i din nya kalender, men deltagarna har det fortfarande i sin egen kalender som en inbjudan från din gamla adress, med ett UID från den gamla tjänsten. Ändrar du mötet senare får de en ny inbjudan. Vid återkommande möten med externa parter kan det vara snyggare att bjuda in dem på nytt efter bytet. Möten du blivit inbjuden till kommer med som vanliga möten; svar till organisatören går via mejl.
Exportera från Google
- Kalender: i Google Kalender, under Inställningar, delen Importera och exportera, knappen Exportera. Du får en zip-fil med en ics-fil per kalender du äger. Kalendrar som andra delar med dig ingår inte; de exporteras av ägaren, eller så exporterar du dem per kalender från den kalenderns inställningar om det är tillåtet.
- Kontakter: i Google Kontakter väljer du kontakterna (eller alla), väljer Exportera och sedan vCard-formatet. Google erbjuder också "Google CSV" och "Outlook CSV"; välj vCard, det bevarar strukturen (flera telefonnummer, adresser, foto).
- Allt på en gång: Google Takeout (takeout.google.com) levererar kalendern som ics, kontakter som vcf (eller csv) och Gmail som mbox, i zip-filer. Praktiskt som backup av hela kontot.
Menynamnen ändras då och då; sök vid osäkerhet i Googles hjälp på "exportera kalender".
Exportera från Microsoft
- Kalender: i klassiska Outlook för Windows kan du spara en kalender som en iCalendar-fil (Spara som, med val av period och "fullständiga detaljer"). Välj en period som går tillräckligt långt bak och framåt, och välj fullständiga detaljer, annars exporterar du bara ledig/upptagen. I Outlook på webben kan du publicera en kalender som en ICS-länk och ladda ner filen via den länken; stäng av publiceringen igen efteråt.
- Kontakter: Outlook på webben exporterar kontakter som csv, inte som vCard. Klassiska Outlook exporterar också i bulk till csv; vCard går bara per kontakt där. Många CardDAV-tjänster kan inte importera en csv-fil direkt. Två utvägar: använda migreringsverktyget hos din nya tjänst (det hämtar kontakter direkt), eller importera csv-filen i en adressbok i Thunderbird och exportera den därifrån som vCard.
- Delade kalendrar och resurskalendrar är organisationens kalendrar. De exporteras av administratören, eller så sätter du upp dem på nytt i den nya tjänsten.
Vad som inte alls eller inte riktigt följer med vid export
| Del | Vad som händer |
|---|---|
| Bilagor till möten | följer oftast inte med; bara en länk, eller inget alls |
| Färger och kategorier | ibland som CATEGORIES, ofta inte |
| Påminnelser | ibland, beroende på tjänsten |
| Videomöteslänkar (Teams, Meet) | finns kvar som text i mötet, men fungerar inte längre efter uppsägning |
| Kontaktgrupper eller etiketter | inte alltid; kontrollera efter importen |
| Kontaktfoton | följer med i vCard, men gör filen stor |
Räkna innan du går vidare
Skriv ner innan exporten hur många kontakter du har och, för några kalendrar, hur många möten som finns under en viss period (till exempel november). Efter importen räknar du igen. Det är det snabbaste sättet att se att något saknas. I den här lektionens uppgift låter du programmet räkna och kontrollera dina filer.
I praktiken: så ser det ut hos en leverantör
I en WebOké Nextcloud finns det två migreringsverktyg som hämtar direkt: WebOké Import Tool för Google (Drive, Foton, Kalender och Kontakter) och Datamigrering för OneDrive och Microsoft 365, som du också använder för att importera kontakter och kalendrar från ditt Microsoft-konto. Kommer din kalender någon annanstans ifrån importerar du ics- och vCard-filer själv (lektion 5.3). Nextcloud läser vCard 3.0 och 4.0. Hos andra europeiska tjänster finns liknande importverktyg eller en importknapp i kalendern och adressboken; filformaten är desamma överallt.
Sammanfattning
- Kalendrar flyttar du som ics (iCalendar), kontakter som vcf (vCard 3.0 eller 4.0); det är läsbara textfiler.
- Ett migreringsverktyg som hämtar direkt är ofta enklare, men gör ändå en egen export som kontroll och backup.
- Var uppmärksam i en ics-fil på UID, RRULE och tidszoner med ett VTIMEZONE-block; utan det förskjuts möten.
- Outlook på webben exporterar kontakter bara som csv; använd ett migreringsverktyg eller omvandla csv till vCard.
- Räkna kontakter och möten i förväg, så att du efter importen kan se om något saknas.
Quiz
Uppgift
Uppgift A5.2: Kontrollera din testexport. Exportera en kalender (ics) och dina kontakter (vcf). Fyll först i hur många kontakter du har och hur många möten du förväntar dig. Ladda sedan upp filerna. Programmet kontrollerar om de är giltiga, räknar möten, upprepningar och kontakter, letar efter tidszoner utan beskrivning och dubbletter av kontakter, och jämför med dina angivna antal. Filerna läses bara och sparas inte.
Uppgift E5.2: Vad kommer inte med? Öppna din ics-fil i en texteditor. Hitta ett återkommande möte, ett möte med deltagare och ett möte med en videomöteslänk. Notera för varje möte vad du behöver göra efter bytet.
Uppgift E5.2: Vad kommer inte med?
Öppna din egen ics-fil i en texteditor.
Dina bockar och anteckningar sparas bara i den här webbläsaren; vi skickar dem ingenstans. Är du inloggad sparar vi i Mina kurser bara att du har gjort uppgiften.
Läs mer
Stegen i dessa artiklar gäller för WebOkés tjänster; hos andra leverantörer fungerar det på liknande sätt.
- Nextcloud-guide 13.5: Kalender och kontakter flytta från Google, iCloud eller Outlook (ics och vCard)
- Nextcloud-guide 13.2: Google Drive, Foton, Kalender och Kontakter flytta över med WebOké Import Tool
- Nextcloud-guide 13.4: OneDrive flytta över med Datamigrering
- Nextcloud-guide 13.6: Från Microsoft 365 till WebOké: filer, dokument, e-post och kalender
- RFC 5545 (iCalendar), RFC 2426 (vCard 3.0), RFC 6350 (vCard 4.0)
- Googles hjälp för Kalender: Exportera händelser; Googles hjälp för Kontakter: Exportera kontakter; Microsofts support: Exportera kontakter från Outlook
